I am a very NEW user. I used Suse a long time ago when there was no "openSuse". I bought it in a box in Best Buy but have migrated other ways. I gave 11.0 a try and it seems to be very good but I have encountered a problem and I need some help. I am told I have updates but when I try to update I get an error. I hope someone knows how to fix this small problem. The error is as follows:

Can't provide file './i586/speex-1.1.99.3-28.1.i586.rpm' from repository 'repo-oss'

I enable a lot of repos upon istallation since I need some other things installed and updated and this may be part of the problem. Any help is appreciated.